import { DrawReps } from "../base/interface";
import { Widget } from "pi_gui/widget/direct";
import { drawArg } from "game_mj_lottery/server/lottery.struct";

export interface PagePrams {
    key: string,
    endTime: number,
    refHour?: number
}


export interface IEInter {
    VueProp: Widget,
    VueCdTime: Widget,
    U3dEffect: Widget,
    VueBtnEffect: Widget,
    VueCheckFolder: Widget,
    next: () => Promise<any>,
    showMsg: (msg: string) => void,
    handleShwProp: (id: number) => void,
    select: (id: number, cb?: Function) => void,
    draw: (param: drawArg) => Promise<false | DrawReps>,
    costIsEnough: (cost: number[], times?: number) => boolean,
    showAward: (award: number[][], isBig: boolean) => Promise<void>
}

export interface PShowData {
    now: number,
    area: number,
    round: number,
    cost: number[],
    isSel: boolean,
    lottery: number,
    refTime: number,
    record: number[],
    tenCost: number[],
    free_count: number,
    big_award: number[]
}

export interface PShow {
    isSel: boolean,
    list: number[][],
    big_award: number[][]
}


export interface SelData {
    list: {
        id: number,
        curTime: number,
        maxTime: number,
        award: number[][]
    }[],
    selId: number,
    selAward: number[][]
}